#include "clk.h"

//    
void clk_CoreConfig(void)
{ 
	//  
	RST_CLK_DeInit();
	
	//     HSE (High Speed External)
	RST_CLK_HSEconfig(RST_CLK_HSE_ON);
	
	//  HSE
	if (RST_CLK_HSEstatus() == ERROR) while (1);  	
		
	// /  CPU_PLL(  )
	RST_CLK_CPU_PLLconfig(RST_CLK_CPU_PLLsrcHSEdiv1, RST_CLK_CPU_PLLmul5);
	
	// CPU_PLL 
	RST_CLK_CPU_PLLcmd(ENABLE);
	
	//  CPU_PLL
	if (RST_CLK_CPU_PLLstatus() == ERROR) while (1);  

	//  CPU_PLL   CPU_C3
	RST_CLK_CPU_PLLuse(ENABLE);

	//     
	RST_CLK_CPUclkSelection(RST_CLK_CPUclkCPU_C3);
	
	//    PORTA, PORTD
	RST_CLK_PCLKcmd(RST_CLK_PCLK_PORTA, ENABLE);
	RST_CLK_PCLKcmd(RST_CLK_PCLK_PORTD, ENABLE);
}
